/*******************************************************************************
 * Copyright (c) 2013-2015 Pablo Pavon-Marino, Jose-Luis Izquierdo-Zaragoza.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser Public License v3
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/lgpl.html
 *
 * Contributors:
 *     Pablo Pavon-Marino, Jose-Luis Izquierdo-Zaragoza - initial API and implementation
 ******************************************************************************/
package com.net2plan.gui.utils.topology;

import java.util.List;
import javax.swing.Action;

/**
 * Interface for extensions to popup menu in the topology canvas.
 *
 * @author Pablo Pavon-Marino, Jose-Luis Izquierdo-Zaragoza
 * @since 0.3.0
 */
public interface ITopologyCanvasPopupPlugin
{

	/**
	 * Returns the set of actions to be added to the popup menu for links.
	 * 
	 * @param link Link where the mouse was clicked
	 * @return List of actions to be shown for the given link
	 * @since 0.3.0
	 */
	public List<Action> linkActions(Link link);
	
	/**
	 * Returns the set of actions to be added to the popup menu for nodes.
	 * 
	 * @param node Node where the mouse was clicked
	 * @return List of actions to be shown for the given node
	 * @since 0.3.0
	 */
	public List<Action> nodeActions(Node node);
}
