/*******************************************************************************
 * Copyright (c) 2013-2015 Pablo Pavon-Marino, Jose-Luis Izquierdo-Zaragoza.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser Public License v3
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/lgpl.html
 *
 * Contributors:
 *     Pablo Pavon-Marino, Jose-Luis Izquierdo-Zaragoza - initial API and implementation
 ******************************************************************************/
package com.net2plan.internal.io;

import com.net2plan.internal.plugins.IOFilter;
import com.net2plan.interfaces.networkDesign.NetPlan;
import com.net2plan.internal.Constants.IOFeature;
import java.io.File;
import java.util.EnumSet;
import java.util.Map;
import javax.swing.JComponent;

/**
 * Default IO filter for Net2Plan
 *
 * @author Pablo Pavon-Marino, Jose-Luis Izquierdo-Zaragoza
 * @since 0.2.2
 */
public class IONet2Plan extends IOFilter
{
	/**
	 * Default constructor.
	 *
	 * @since 0.2.2
	 */
	public IONet2Plan()
	{
		super("Net2Plan file", EnumSet.allOf(IOFeature.class), "n2p");
	}
	
	@Override
	public JComponent getPluginConfigurationScreen()
	{
		return null;
	}

	@Override
	public Map<String, String> getPluginDefaultOptions()
	{
		return null;
	}

	@Override
	public String getPluginName()
	{
		return null;
	}

	@Override
	public NetPlan readDemandSetFromFile(File file)
	{
		return readMLFromFile(file);
	}
	
	@Override
	public NetPlan readFromFile(File file)
	{
		return readMLFromFile(file);
	}

	@Override
	public NetPlan readMLFromFile(File file)
	{
		return new NetPlan(file);
	}

	@Override
	public void saveDemandSetToFile(NetPlan netPlan, File file)
	{
		saveMLFromFile(netPlan, file);
	}

	@Override
	public void saveToFile(NetPlan netPlan, File file)
	{
		saveMLFromFile(netPlan, file);
	}

	@Override
	public void saveMLFromFile(NetPlan netPlan, File file)
	{
		netPlan.saveToFile(file);
	}
}
