/*******************************************************************************
 * Copyright (c) 2013-2015 Pablo Pavon-Marino, Jose-Luis Izquierdo-Zaragoza.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser Public License v3
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/lgpl.html
 *
 * Contributors:
 *     Pablo Pavon-Marino, Jose-Luis Izquierdo-Zaragoza - initial API and implementation
 ******************************************************************************/
package com.net2plan.internal.plugins;

import java.util.Map;
import javax.swing.JComponent;

/**
 * Interface to be implemented by any external plugin.
 * 
 * @author Pablo Pavon-Marino, Jose-Luis Izquierdo-Zaragoza
 * @since 0.3.0
 */
public interface Plugin
{
	/**
	 * Returns the component of the configuration screen of the plugin.
	 * 
	 * @return Configuration screen (or null for none)
	 * @since 0.3.0
	 */
	public JComponent getPluginConfigurationScreen();

	/**
	 * Returns the map of default options for the plugin.
	 * 
	 * @return Default options (or null for none)
	 * @since 0.3.0
	 */
	public Map<String, String> getPluginDefaultOptions();
	
	/**
	 * Returns the plugin name.
	 * 
	 * @return Plugin name
	 * @since 0.3.0
	 */
	public String getPluginName();
}
